Click Here
home features news forums classifieds faqs links search
5582 members 
Amiga Q&A /  Free for All /  Emulation /  Gaming / (Latest Posts)
Login

Nickname

Password

Lost Password?

Don't have an account yet?
Register now!

Support Amigaworld.net
Your support is needed and is appreciated as Amigaworld.net is primarily dependent upon the support of its users.
Donate

Menu
Main sections
Home
Features
News
Forums
Classifieds
Links
Downloads
Extras
OS4 Zone
IRC Network
AmigaWorld Radio
Newsfeed
Top Members
Amiga Dealers
Information
About Us
FAQs
Advertise
Polls
Terms of Service
Search

IRC Channel
Server: irc.amigaworld.net
Channel: #Amigaworld
Channel Policy and Guidelines

(Uses JAVA Applet and Port 1024)
Visit the Chatroom Website

Who's Online
 108 guest(s) on-line.
 1 member(s) on-line.


 NutsAboutAmiga

You are an anonymous user.
Register Now!
 NutsAboutAmiga:  4 secs ago
 pavlor:  23 mins ago
 tlosm:  23 mins ago
 Drewlio77:  26 mins ago
 QuikSanz:  37 mins ago
 tbreeden:  42 mins ago
 amigakit:  45 mins ago
 Seiya:  54 mins ago
 syrtran:  58 mins ago
 jtsiren:  1 hr 3 mins ago

/  Forum Index
   /  Amiga OS4.x \ Workbench 4.x
      /  Latest YAM development build says it's too old! :-?
Register To Post

Goto page ( 1 | 2 | 3 Next Page )
PosterThread
Hypex 
Latest YAM development build says it's too old!
Posted on 29-Jul-2016 18:10:40
#1 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

I used YAM last night. Now past midnight I load it up again and it says it has expired! So I download the latest development build. YAM210dev-AmigaOS4.lha. I unpack it over my current YAM. I get the same error! I reset to no difference.

I usually would open a ticket on the YAM page but they've changed the system and I can't be bothered signing up for yet another account again.

The date is 29/06/2016. So looks like the server is out of date. Why is this? YAM tells me to go there.

 Status: Offline
Profile     Report this post  
jabirulo 
Re: Latest YAM development build says it's too old!
Posted on 29-Jul-2016 18:49:31
#2 ]
Regular Member
Joined: 20-Jun-2004
Posts: 300
From: Donosti

@Hypex

You're right, latest dev nightly build is from june 29th, so soon/today/tomorrow should show a new nightly build http://nightly.yam.ch/latest-dev/ (or it should be now/yesterday available to avoid such problem).

A nasty trick IIRC is to set your system time to yesterday 28th launch yam and (re)set date again properly.

Last edited by jabirulo on 29-Jul-2016 at 06:51 PM.

 Status: Offline
Profile     Report this post  
Jupp3 
Re: Latest YAM development build says it's too old!
Posted on 29-Jul-2016 21:17:30
#3 ]
Super Member
Joined: 22-Feb-2007
Posts: 1202
From: Unknown

@jabirulo

Quote:

A nasty trick IIRC is to set your system time to yesterday 28th launch yam and (re)set date again properly.

You could probably do that all in AmigaDOS script, that will also launch YAM automatically, and restore correct date afterwards.

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 30-Jul-2016 15:54:36
#4 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@jabirulo

Yes I think I did that trick before but that was years ago. Hoped I wouldn't need these little hacks. I would use the stable version but when ever I do I discover some bug that crashes it forcing me to use the dev version. It can take months and what seems years for a fixed version to be released. I know they work hard but sometimes I wonder if it is worth it. It doesn't do spell checking, doesn't know what images or archives are and common HTML mails are useless in it.

I see they moved it to GitHub recently. So likely this affected the change. However no release is downloadable from there. Files don't show up like on SF.

Last edited by Hypex on 30-Jul-2016 at 03:56 PM.

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 30-Jul-2016 16:03:36
#5 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@Jupp3

I'll reply to you next. Okay after my thread and rant (or before) they've fixed the site and there are now nightlies for July. Now I can put on womens sleepwear and get into bed.

 Status: Offline
Profile     Report this post  
Deniil715 
Re: Latest YAM development build says it's too old!
Posted on 1-Aug-2016 11:22:26
#6 ]
Elite Member
Joined: 14-May-2003
Posts: 4127
From: Sweden

@Hypex

I find it annoying that they haven't released a stable public update yet. It has been years with these nightly builds that times out and no way back since the email format changed way back

_________________
- Don't get fooled by my avatar, I'm not like that (anymore, mostly... maybe only sometimes)
> Amiga Classic and OS4 developer for OnyxSoft.

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 1-Aug-2016 15:52:15
#7 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@Deniil715

Completely with you man.

 Status: Offline
Profile     Report this post  
Dandy 
Re: Latest YAM development build says it's too old!
Posted on 2-Aug-2016 13:09:46
#8 ]
Elite Member
Joined: 24-Mar-2003
Posts: 3047
From: Cologne * Germany

@Hypex

Quote:

Hypex wrote:
@Jupp3

... after my thread and rant (or before) they've fixed the site and there are now nightlies for July. ...



Thing is that the name "nightly builds" is misleading.
"Monthly builds" would be the better term, as a new build is provided on day one of every new month (or on the last day of the old month).

Next build will be provided end of August/early September.

_________________
Ciao

Dandy
__________________________________________
If someone enjoys marching to military music, then I already despise him.
He got his brain accidently - the bone marrow in his back would have been sufficient for him!
(Albert Einstein)

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 2-Aug-2016 17:27:44
#9 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@Dandy

Yes you make a good point. If the builds actually expired nightly that would be very annoying.

 Status: Offline
Profile     Report this post  
broadblues 
Re: Latest YAM development build says it's too old!
Posted on 2-Aug-2016 23:10:00
#10 ]
Elite Member
Joined: 20-Jul-2004
Posts: 4106
From: Portsmouth England

@Hypex

You could always check out the code and build your own non expiring build.

_________________
BroadBlues On Blues BroadBlues On Amiga Walker Broad

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 5-Aug-2016 16:50:16
#11 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@broadblues

I suppose I could. But that would require more space on my HD for another project source and the time to compile it all. Both those are a bit tight right now. Unless I compiled a fork "online" but don't know if they would allow it.

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 10-Dec-2016 14:37:29
#12 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@All

It's happening again. They've shifted it to github but you can't download it anywhere!

Now YAM is saying it's too old again. But it only opens up the URL at http://nightly.yam.ch which is obsolete. So much for the nightly!

Looking on the net goes nowhere. I can find the github page but it isn't downloadable from there. I don't want to clone the latest source because I'm looking for the compiled version.

That site just runs me around to the obsolete one again and looking in the folders yields no files to download. Has anyone managed to download the latest nightly YAM?

I suppose YAM is now incompatble with AmigaOS now and must be used on a PC. Because they now use a website incompatible with Amiga browsers! I don't see the point of using Amiga software anymore if you can't download it on an Amiga.

 Status: Offline
Profile     Report this post  
elwood 
Re: Latest YAM development build says it's too old!
Posted on 10-Dec-2016 22:09:33
#13 ]
Elite Member
Joined: 17-Sep-2003
Posts: 3373
From: Lyon, France

@Hypex

date -... (an old date)
run >NIL: wait 5 +
date +.... (back to current date)
yam

or something similar will make it run gain

Last edited by elwood on 10-Dec-2016 at 10:09 PM.

_________________
Philippe 'Elwood' Ferrucci
Sam460 1.10 Ghz
AmigaOS 4 betatester
Amiga Translator Organisation

 Status: Offline
Profile     Report this post  
whose 
Re: Latest YAM development build says it's too old!
Posted on 11-Dec-2016 1:05:12
#14 ]
Cult Member
Joined: 21-Jun-2005
Posts: 880
From: Germany

@Hypex

Its because those are "development builds", not regular releases.

The real problem is the build management for the "nightly builds". Seems that a new nightly is made only if there were code changes in the meantime.

Best bet would be to leave an email that you would like to do further tests in real world. Hopefully they set up another "nightly" then...

 Status: Offline
Profile     Report this post  
MichaelMerkel 
Re: Latest YAM development build says it's too old!
Posted on 11-Dec-2016 10:31:10
#15 ]
Cult Member
Joined: 9-Mar-2003
Posts: 809
From: Ilvesheim, Germany

@Hypex

Quote:

Hypex wrote:
@All

It's happening again. They've shifted it to github but you can't download it anywhere!

Now YAM is saying it's too old again. But it only opens up the URL at http://nightly.yam.ch which is obsolete. So much for the nightly!


just go to http://yam.ch and the download section:
http://yam.ch/downloads

regards...
michael

Last edited by MichaelMerkel on 11-Dec-2016 at 10:45 AM.

_________________
Michael Merkel
(Michael.Merkel@gmx.net Home)
Member of Amiga-Freunde Pfalz, OS4 Welt

 Status: Offline
Profile     Report this post  
Kronos 
Re: Latest YAM development build says it's too old!
Posted on 11-Dec-2016 10:47:16
#16 ]
Elite Member
Joined: 8-Mar-2003
Posts: 2067
From: Unknown

@Hypex

This is the reason why I (back in the days when I used an eMail client) was still using a ten year old 68020 build....

_________________
- We don't need good ideas, we haven't run out on bad ones yet
- blame Canada

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 12-Dec-2016 13:24:26
#17 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@whose

Those dev builds are missing. In fact even finding the release version is like geting blood from a stone. On SF it was easy, the download button was in front of you. With GH, all I ever see is a button for source.

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 12-Dec-2016 13:26:18
#18 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@MichaelMerkel

Hang on. They're back! They must have seen my post and fixed it. Those links weren't there the other night! The latest I downloaded from there was November. Very suspicious.

 Status: Offline
Profile     Report this post  
Hypex 
Re: Latest YAM development build says it's too old!
Posted on 12-Dec-2016 13:28:32
#19 ]
Elite Member
Joined: 6-May-2007
Posts: 8406
From: Greensborough, Australia

@Kronos

I find I need to use the deb build as the release eventually crashes on my system. So then I update the MCC classes which probably makes it worse. And they don't auto install through AmiUpdate so both YAM and MUI classes are a bit of work to maintain.

 Status: Offline
Profile     Report this post  
MichaelMerkel 
Re: Latest YAM development build says it's too old!
Posted on 12-Dec-2016 19:40:41
#20 ]
Cult Member
Joined: 9-Mar-2003
Posts: 809
From: Ilvesheim, Germany

@Hypex

Quote:

Hypex wrote:
@whose

Those dev builds are missing. In fact even finding the release version is like geting blood from a stone. On SF it was easy, the download button was in front of you. With GH, all I ever see is a button for source.


it's all there:
https://github.com/jens-maus/yam#downloadsreleases

regards...
michael

_________________
Michael Merkel
(Michael.Merkel@gmx.net Home)
Member of Amiga-Freunde Pfalz, OS4 Welt

 Status: Offline
Profile     Report this post  

[ home ][ about us ] [ forums ][ classifieds ] [ links ][ news archive ] [ link to us ][ user account ]
Copyright 2000 - 2017 Amigaworld.net.

Amigaworld.net was originally founded by David Doyle